; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
; Clock for mIRC v.1.1             +
; by ch1zra                        +
; ch1zra@gmail.com                 +
; http://uptheirons.co.sr/         +
; #Scripters @ irc.krstarica.com   +
; Copyright  Up The Irons ! inc.  +
; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
; ***** What is this :                                                         +
; This is some nice little code that updates your windows                      +
; with current time (Hour : Minute format).                                    +
; It uses timer that updates time once per minute, on a full minute            +
; (meaning zero seconds, eg : 14:23:00) . And that is all you need to know :]  +
; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
; ***** Loading :                                                              +
; insert this file into your main mIRC dir.                                    +
; - if youre not sure what it is, type "//echo -a $mircdir" (without quotas)   +
; and then type this :                                                         +
; //load -rs " $+ $findfile($mircdir,WinClock.mrc,1) $+ "                      +
; this time WITH quotas.                                                       +
; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
; ***** Usage :                                                                +
; Usage is automatic :]                                                        +
; Except the positioning system. You can select a position by choosing the     +
; "Position" item from menubar.                                                +
; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*

; <----------------------- $Events ----------------------->

on *:load: {
  if ($version > 6.0) { 
    echo  Clock for mIRC by ch1zra succesfully loaded 
    echo 4ch1zra@gmail.com 
    wclock
    .timerchecks 0 1 check.s
  }
  else { 
    echo  Version 6.0 or higher required, get a newer version of mirc at  $+ http://www.mirc.com
    unload -rs $script
  }
} 

on *:unload: {
  if ($timer(wcl.upd)) .timerwcl.upd off
  if ($timer(checks)) .timerchecks off
  if ($window(@WClock)) window -c @WClock
  echo -s Clock for mIRC by ch1zra succesfully unloaded.
}

on *:start: {
  wclock
  .timerchecks 0 1 check.s
}

on *:APPACTIVE: {
  if ($appactive = $false) {
    if ($appstate == hidden) || ($appstate == minimized) || ($appstate == hidden) || ($appstate == tray) {
    }
    window -h @WClock
  }
  else window -o @WClock
}

; <----------------------- $Aliases ----------------------->

alias wclock {
  if (!$window(@WClock)) {
    if (!%wcl.x) {
      set %wcl.x 880
    }
    if (!%wcl.y) {
      set %wcl.y 20
    }
    window -poadhB +dL @WClock %wcl.x %wcl.y 80 30
    drawfill @WClock 1 1 1  1
  }
  wcl.upd
}

alias check.s {
  if ($time(ss) == 00) {
    .timerchecks off
    wcl.upd
    .timerwcl.upd 0 60 wcl.upd
  }
}

alias -l wcl.upd {
  drawrect -f @WClock 1 1 1 1 200 100
  drawrect -f @WClock 1 1 1 1 200 100
  drawpic @WClock 5 5 " $+ $scriptdirimg\ $+ $left($time(HH),1) $+ .bmp"
  drawpic @WClock 20 5 " $+ $scriptdirimg\ $+ $right($left($time(HH),2),1) $+ .bmp"
  drawpic @WClock 40 5 " $+ $scriptdirimg\ $+ sep.bmp"
  drawpic @WClock 45 5 " $+ $scriptdirimg\ $+ $left($time(nn),1) $+ .bmp"
  drawpic @WClock 60 5 " $+ $scriptdirimg\ $+ $right($left($time(nn),2),1) $+ .bmp"
}

alias -l wcl.kill {
  if ($timer(wcl.upd)) .timerwcl.upd off
  if ($timer(checks)) .timerchecks off
  if ($window(@WClock)) window -c @WClock
}

alias -l wcl.about {
  if ($$input(Clock for mIRC $crlf $crlf by ch1zra $crlf  $crlf ch1zra@gmail.com $crlf $&
    http://uptheirons.co.sr/ $crlf #Scripters @ irc.krstarica.com $crlf $crlf Copyright  $& 
    Up The Irons ! inc.,oq,About Clock for mIRC)) {
    return
  }
}

alias -l wcl.unload {
  if ($input(Are you sure that you want to unload Clock for mIRC Windows??,yw,About to Unload !) == $true) {
    echo -s Thank you for using my Clock for mIRC Windows
    .unload -rs $script
  }
}

alias -l wcl.move {
  if ($group(#wcl.move).status == off) { return } 
  if ($mouse.key & 1) {
    set %wcl.x $calc($mouse.dx - 40)
    set %wcl.y $calc($mouse.dy - 15)
    window @WClock %wcl.x %wcl.y 80 30
  }
}

; <----------------------- $Menu ----------------------->

menu @WClock {
  mouse:wcl.move
  About:wcl.about
  Close:wcl.kill
}

menu menubar {
  Clock for mIRC Windows
  .$iif(!$window(@WClock),Clock ON):wclock | .timerchecks 0 1 check.s
  .$iif($window(@WClock),Clock OFF):wcl.kill
  .-
  .About:wcl.about
  .-
  .Unload:wcl.unload
}

; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
; Clock for mIRC v.1.1             +
; by ch1zra                        +
; ch1zra@gmail.com                 +
; http://uptheirons.co.sr/         +
; #Scripters @ irc.krstarica.com   +
; Copyright  Up The Irons ! inc.  +
; -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*
